Loading...
Searching...
No Matches
Halide::Internal::Split Struct Reference

`#include <Schedule.h>`

## Public Types

enum | SplitType { SplitVar = 0 , RenameVar , FuseVars }

## Public Attributes

std::string | old_var
std::string | outer
std::string | inner
Expr | factor
bool | exact
TailStrategy | tail
SplitType | split_type

## Detailed Description

Definition at line 325 of file Schedule.h.

## Member Enumeration Documentation

## SplitType

enum Halide::Internal::Split::SplitType

Enumerator
SplitVar |
RenameVar |
FuseVars |

Definition at line 333 of file Schedule.h.

## Member Data Documentation

## old_var

std::string Halide::Internal::Split::old_var

Definition at line 326 of file Schedule.h.

## outer

std::string Halide::Internal::Split::outer

Definition at line 326 of file Schedule.h.

## inner

std::string Halide::Internal::Split::inner

Definition at line 326 of file Schedule.h.

## factor

Expr Halide::Internal::Split::factor

Definition at line 327 of file Schedule.h.

## exact

bool Halide::Internal::Split::exact

Definition at line 328 of file Schedule.h.

## tail

TailStrategy Halide::Internal::Split::tail

Definition at line 331 of file Schedule.h.

## split_type

SplitType Halide::Internal::Split::split_type

Definition at line 345 of file Schedule.h.

The documentation for this struct was generated from the following file:

- src/Schedule.h